[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Packaging problems

On Fri, Sep 07, 2001 at 02:30:53PM +0200, javi wrote:
> I'm trying to be a debian developer and I have adopted a debian
> package, newsclipper, but I have realized that is really buggy and
> doesn't work in SID nor POTATO. This program is a perl script but in
> the control file I think that lacks a lof of dependencies, anyway when
> you run the program it claims that a perl module called Cache.pm it's
> not present, OK I have installed manually getting from the CPAN, when
> it's installed again claim for another perl module and so on, so this
> is awfull,and more important, when a perl module it's not present,
> what's the way of installing it with a Debian package?, what if that
> perl module is not packaged?.

You should package, or arrange for somebody else to package, any Perl
modules that newsclipper needs that aren't in the distribution yet.

I noticed that newsclipper was missing a lot of dependencies some time
ago. I packaged libgetargs-long-perl as a result (I forget whether it
was a direct dependency or not, but it was needed somewhere along the
chain), and Tony Mancill packaged liblog-agent-rotate-perl. There may
still be one or two others to do.

> Here I send you the output of the execution:
> Can't locate Log/Agent.pm in @INC

newsclipper should depend on liblog-agent-perl.


Colin Watson                                  [cjwatson@flatline.org.uk]

Reply to: